### Function

# FwupdPlugin error_convert

since: 2.0.14

#### Declaration [src]

    gboolean
    fu_error_convert (
      const FuErrorConvertEntry* entries,
      guint n_entries,
      GError** error
    )

#### Description [src]

Convert the error to a `FwupdError`, if required.

Available since: 2.0.14

#### Parameters

`entries`

  Type: `FuErrorConvertEntry`

  The `FuErrorConvertEntry` map.

  The data is owned by the caller of the function.

`n_entries`

  Type: `guint`

  Number of `entries`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.